package com.zhyc.module.produce.other.mapper;

import java.util.List;

import com.zhyc.module.produce.other.domain.ScFixHoof;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 修蹄Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-10
 */
@Mapper
public interface ScFixHoofMapper {
    /**
     * 查询修蹄
     *
     * @param id 修蹄主键
     * @return 修蹄
     */
    public ScFixHoof selectScFixHoofById(Integer id);

    /**
     * 查询修蹄列表
     *
     * @param scFixHoof 修蹄
     * @return 修蹄集合
     */
    public List<ScFixHoof> selectScFixHoofList(ScFixHoof scFixHoof);

    /**
     * 新增修蹄
     *
     * @param scFixHoof 修蹄
     * @return 结果
     */
    public int insertScFixHoof(ScFixHoof scFixHoof);

    /**
     * 修改修蹄
     *
     * @param scFixHoof 修蹄
     * @return 结果
     */
    public int updateScFixHoof(ScFixHoof scFixHoof);

    /**
     * 删除修蹄
     *
     * @param id 修蹄主键
     * @return 结果
     */
    public int deleteScFixHoofById(Integer id);

    /**
     * 批量删除修蹄
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScFixHoofByIds(Integer[] ids);

    /**
     *模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScFixHoof> selectScFixHoofList(
            @Param("sc") ScFixHoof sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
